10g RAC root.sh脚本错误:error while loading shared libraries: libpthread.so.0

By | 2014年9月5日

如题所示的错误,通常发生在Oracle database 10g安装RAC,执行脚本的时候。
有关该错误,更详细的信息如下:
Oracle Version:10.2.0.1.0
OS Version:RHEL 5.10 64bit

该问题属于Oracle 10.2.0.1.0安装RAC时的BUG(Bug 3937317),在稍后的版本中就没有这种现象了。
当发生了这样的情况的时候,解决方法如下:
报错节点:
进入$CRS_HOME/bin目录,关注文件:srvctl、vipca

在vipca中,找到“ARGUMENTS=”记录,在其前面加上:“unset LD_ASSUME_KERNEL;”
root-sh_1

在srvctl中找到:“export LD_ASSUME_KERNEL;”,在其后面加上“unset LD_ASSUME_KERNEL;”
root-sh_2

然后使用“oifcfg”做出下列配置

调用VIPCA:

vipca1

vipca2

vipca3

vipca4

vipca5

vipca6

vipca7

这样,脚本的执行过程就走完了。
可以继续回到OUI,进行下一步的安装。
————————————————————————
Ending。

打赏

说点什么

avatar
  Subscribe  
提醒